Popup notice Software Update - Update Failed - Something is trying to trick Firefox into accepting an insecure

RESOLVED INCOMPLETE

Status

()

defect
RESOLVED INCOMPLETE
8 years ago
4 years ago

People

(Reporter: teefleur1, Unassigned)

Tracking

2.0 Branch
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(3 attachments)

(Reporter)

Description

8 years ago
User-Agent:       Mozilla/5.0 (Windows NT 5.1; rv:2.0) Gecko/20100101 Firefox/4.0
Build Identifier: Mozilla/5.0 (Windows NT 5.1; rv:2.0) Gecko/20100101 Firefox/4.0

Software Update pop-up that reads "Update Failed" and below reads, "Something is trying to trick Firefox into accepting an insecure update. Please contact your network provider and seek help."

Reproducible: Sometimes



Expected Results:  
Update failed.

I don't know and I'm not sure where to report this or even what it means.

Comment 1

8 years ago
Fore reference, two question on SUMO but no clarifying answers so far:
http://support.mozilla.com/en-US/questions/784922
http://support.mozilla.com/en-US/questions/815254
Component: Security → Application Update
Product: Firefox → Toolkit
QA Contact: firefox → application.update
Version: unspecified → 2.0 Branch
(In reply to comment #1)
I note there is another SUMO question with an answer:
https://support.mozilla.com/en-US/questions/815130#answer-176208
Saying
>
A user with Google Updater (from Google Pack) and Firefox 4 installed gets this error. Google Updater is supposed to be keeping Firefox up to date. 
<

I have NOT myself cross linked that question to this bug. 

There would seem to be a possibility the error is caused by, or generated by thirdparty software, possibly Google Updater. As I do not use the Google software I am not able to assist.

However I also note of the system details shown in the SUMO questions only one of the three shows the Google Update Plugin as being installed, so the supposition could be a red herring.
(Reporter)

Comment 3

8 years ago
Thanks, John... I do not have Google Updater. SHOULD I have it???

I also noticed on the link that some people are using a version of Firefox above 4.0. When I checked my Firefox, it's still 4.0 and says I have the latest version... Strange.

This occurs randomly (has only happened twice to me.) I have not tried to get a screen shot, but I will try if I get the pop-up again. I didn't notice the incident connected with any specific page. Also, I have not tried to get on the internet in Safe Mode. It seems the only option is to close the pop-up at the top righthand corner X - if I remember correctly...

I'm open to suggestions...
Nancy, neither comment #1 or comment #2 have to do with the error you saw. The Firefox update mechanism requires that the certificate used by the web site that provides the update information be the certificate that Mozilla has purchased and this prevents certain types of attacks. If there are 5 failures in a row the notification is displayed. Some proxy software spoofs the certificate used to connect to secure web sites which is likely what is going on here.

Please open the error console (tools -> error console), click clear, open Help -> About, and copy / paste any entries displayed in the error console. Thanks
Nancy, probably best to talk on the Sumo forum about the versions of firefox etc, presumably you have already found the link https://support.mozilla.com/en-US/questions/new (Standard release is I think 4.0.1 at present, ignore Google updater)

Robert obviously recognises and understands the error message.
John and Nancy, if this does end up in SUMO it would be helpful if the reason for this was added to a comment in this bug since it would be helpful to better understand the different causes of this.
Robert, there are already threads in sumo as linked to in https://bugzilla.mozilla.org/show_bug.cgi?id=653830#c1 and comment 2.The SUMO posters will be looking for answers, and I was presuming you would not be wanting unnecessary comments posting in bugzilla.

My intention was to follow developments in the bug, and I was merely suggesting if Nancy wished to discuss which are current versions and release channels for Firefox; then SUMO may be more appropriate than bugzilla for that, I did not wish to imply Nancy should give up on this bug.

If I see info of use in SUMO I will comment here again,
Thanks John and no worries, it would be great to get some data as to what applications cause this condition. We can then evaluate whether or not we should tune or change the implementation. Thanks
One of the user of Geckozone experimenting the same problem grab this snapshot of its Error Console: http://nsa26.casimages.com/img/2011/05/04/110504060636808030.jpg

For those not wanting the link (or if it expires), it gets two identical errors:
Expected certificate attribute 'commonName' value incorrect, expected: 'aus3.mozilla.org', got '*.mozilla.org'.
(Reporter)

Comment 11

8 years ago
"Please open the error console (tools -> error console), click clear, open Help
-> About, and copy / paste any entries displayed in the error console. Thanks"

Robert, I did that and when I hit "clear," all of the entries vanished. (?)

There is nothing showing in the error console at all. I looked at the screenshot attachment and I don't recall seeing the same items in my error console - BUT - now I know what to look for and where. That's somewhat reassuring to me that there IS a way to check and report such activity.
Thanks to all... Hopefully I won't get the message again.
(In reply to comment #11)
> "Please open the error console (tools -> error console), click clear, open Help
> -> About, and copy / paste any entries displayed in the error console. Thanks"
> 
> Robert, I did that and when I hit "clear," all of the entries vanished. (?)
Correct. That is to lessen the entries in the error console that have nothing to do with this bug. After you hit clear, did you follow the additional steps in comment #4 as follows:
open Help -> About, and copy / paste any entries displayed in the error console.
(Reporter)

Comment 13

8 years ago
Yes, Robert, I went to Help, then About and all I see is a small window like a pop-up window that reads About Mozilla Firefox.

Within that window appears the orange and blue Firefox logo, the name Firefox, 4.0, Firefox is up to date, then other documentation with hot links to Mozilla, global community, Get Involved, Licensing Information, End User Rights and Privacy Policy.

There is no place to paste anything - if I had anything to paste. Obviously I did something wrong... sigh...

At any rate, I am grateful for the attempt at help and will continue to follow this bug thread. Thanks again.
No, re-read Roberts instructions, open the error console first, clear it, then open the Help > About, then close it and go back to the error console and copy anything there
(Reporter)

Comment 15

8 years ago
Thanks, Tyler, but if you will go to my earlier post, you will see that I did every step... See below - post from 2011-05-04 13:25:58

**"Please open the error console (tools -> error console), click clear, open Help
-> About, and copy / paste any entries displayed in the error console. Thanks"

Robert, I did that and when I hit "clear," all of the entries vanished. (?)

There is nothing showing in the error console at all. I looked at the
screenshot attachment and I don't recall seeing the same items in my error
console - BUT - now I know what to look for and where. That's somewhat
reassuring to me that there IS a way to check and report such activity.
Thanks to all... Hopefully I won't get the message again.**
If it does happen again just check the error console for errors without clearing it. Thanks
(Reporter)

Comment 18

8 years ago
I'm not sure what proxy software is... How can I check to see if I have it?
(Reporter)

Comment 19

8 years ago
Well here's the bulletin of the day... I just had the pop-up again. There is nothing showing under Errors in the console, but a lot of things listed in Warnings

I have two browser windows open -

1) Decorah Eagles

http://www.ustream.tv/decoraheagles

and 2) a current events forum TB2K

http://www.timebomb2000.com/vb/forumdisplay.php?9-Timebomb2000

These are sites I visit frequently but I really can't remember if the pop-ups I got before happened when I was on those pages or not.
Did you check the error console after it happened as requested in comment #16?
Sorry, I see that you have.

What we need is to get the error in the error console that accompanies this user interface. Web sites you are on isn't going to provide any value.
(Reporter)

Comment 22

8 years ago
Understand... I thought I read (somewhere) there was a comment about whether a certain website could be causing it. Hopefully someone will solve the mystery, so I'm not giving up. I will be watching for the pop-up, paying attention to the websites I visit AND checking the Error Console. Thanks so much, Robert. I am patient.
Another error console result

From https://support.mozilla.com/en-US/questions/815130
>I have Firefox 4.0 on OSX. I found this error in the console errors:

>Error: Expected certificate attribute 'commonName' value incorrect, expected: >'aus3.mozilla.org', got: '*.mozilla.org'. Source File: resource://gre/modules/CertUtils.jsm 
>Line: 60 

So this also affects OSX, and it may be someone who can reproduce.
Yep, it can affect all platforms. What we are looking for are 3rd party software that can cause this and the configuration (proxy usually) in environments that can cause this.
OS: Windows XP → All
Hardware: x86 → All
(Reporter)

Comment 25

8 years ago
Whole bunch of errors this morning... All seeming to do with Google Chrome (which I don't use,) except the last 3. Hope this sheds some light!

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: syntax error
Source File: jar:file:///C:/Program%20Files/Virtual%20Firefox/omni.jar!/chrome/en-US/locale/en-US/mozapps/extensions/extensions.properties
Line: 1, Column: 1
Source Code:
#LOCALIZATION NOTE (aboutWindowTitle) %S is the addon name

Error: Expected certificate attribute 'commonName' value incorrect, expected: 'aus3.mozilla.org', got: '*.mozilla.org'.
Source File: resource://gre/modules/CertUtils.jsm
Line: 60

Error: Expected certificate attribute 'commonName' value incorrect, expected: 'aus3.mozilla.org', got: '*.mozilla.org'.
Source File: resource://gre/modules/CertUtils.jsm
Line: 60

Error: Certificate checks failed. See previous errors for details.
Source File: resource://gre/modules/CertUtils.jsm
Line: 72
Robert, we're serving aus3.m.o out of one data center (San Jose), and first land at a load balancer to handle the SSL, then pass the request on to one of several boxes. I can't reproduce the certificate difference in a handful of requests, so I think the load balancer is operating OK. The idea that a proxy is getting in the way is a good one, or possibly is causing a redirection to some other page on our web properties.

I can't reproduce the errors on extensions.properties using the GA copy of Firefox 4.0 en-US on XP, and the Virtual Firefox install dir makes me suspicious this is a 3rd party copy compile.
Nick, I'm starting to think it may be the load balancer since I have seen a different report of the cert common name that is in error being *.mozilla.com :(
Ok, I'll dig further. Would be great to see what the actual URL we're requesting is.
Rob, still can't reproduce the cert issues. Here's my attempt to mimic the SSL connection:
 openssl s_client -CAfile cacert.pem -connect aus3.mozilla.org:443
where cacert.pm is the Firefox cert store converted to something openssl can use (via http://benjamin.smedbergs.us/blog/2008-08-27/how-to-teach-wget-about-security/). It's a successful connection, and you can make HTTP requests against it.

When I run this 100 times in a row the only things changing are Session-ID, Master-Key, and Start Time. AFAICT that's normal. I've verified I'm hitting the same IP as users would.
Not sure what the next steps should be as of yet. btw: I meant to say *.mozilla.org and an example is in comment #9

(In reply to comment #9)
> One of the user of Geckozone experimenting the same problem grab this
> snapshot of its Error Console:
> http://nsa26.casimages.com/img/2011/05/04/110504060636808030.jpg
> 
> For those not wanting the link (or if it expires), it gets two identical
> errors:
> Expected certificate attribute 'commonName' value incorrect, expected:
> 'aus3.mozilla.org', got '*.mozilla.org'.
(In reply to comment #8)
> Thanks John and no worries, it would be great to get some data as to what
> applications cause this condition. We can then evaluate whether or not we
> should tune or change the implementation. Thanks

Is information from users seeing this error likely to assist, if so what info is required.

I have seen a couple of comments suggestnt this error may be seen at times other than when deliberatly upgrading firefox. A recent comment on SUMO being
>
>I just got an error message that said, "Something is preventing Firefox from >updating securely." At the time I received this error message, my computer was >idle (and I was not trying to update Firefox, since I already have 4.0.1. >installed.) The bottom of the error message had the Firefox Web address to go >to in order to update. So, just to see what would happen, I clicked on >download the update. And Firefox went through all the update and installation >steps--just as if I didn't have 4.0.1. (yet I did have 4.0.1. installed). What >do you make of that?? ... https://support.mozilla.com/en-US/questions/816780#answer-180662
(In reformatting #31)

> >I just got an error message that said, "Something is preventing Firefox from 
>updating securely." At the time I received this error message, my computer was 
>idle (and I was not trying to update Firefox, since I already have 4.0.1. 
>installed.) The bottom of the error message had the Firefox Web address to go 
>to in order to update. So, just to see what would happen, I clicked on 
>download the update. And Firefox went through all the update and installation 
>steps--just as if I didn't have 4.0.1. (yet I did have 4.0.1. installed). What 
>do you make of that?? ... https://support.mozilla.com/en-US/questions/816780#answer-180662
It would be good to know if anything other *.mozilla.org is in the error from comment #23
Robert, That is the only one I have noticed from the few users (on the sumo site)I have noticed posting error console information. But more than one user has said eror is aparently random rather than just on attempting to update firefox, and more than one has mentioned the update site as being firefox.com

I have not yet noticed any one (on sumo)say they can predictably reproduce the error. No more info from the comment 23 thread yet, although now over 200 users have clicked on that thread to say they have a similar problem.
John, if there are 5 background check errors in a row then the ui is displayed. We need to find out why they are getting errors while checking (it affects both background and foreground checks though the message is only displayed after 5 background check errors). If it is possible to confirm that the majority are getting *.mozilla.org in the cert error then it is possibly an infrastructure issue.
I have a new element. Two users suffering from this problem (one on the Geckozone, the other on Mozillazine) do reports the following value in 
app.update.url : https://aus2.mozilla.org/update/3/%PRODUCT%/%VERSION%/%BUILD_ID%/%BUILD_TARGET%/%LOCALE%/%CHANNEL%/%OS_VERSION%/%DISTRIBUTION%/%DISTRIBUTION_VERSION%/update.xml
instead of https://aus3.mozilla.org/update/3/%PRODUCT%/%VERSION%/%BUILD_ID%/%BUILD_TARGET%/%LOCALE%/%CHANNEL%/%OS_VERSION%/%DISTRIBUTION%/%DISTRIBUTION_VERSION%/update.xml

(Note the aus2 instead of aus3).

I set the status of this bug to new as many different users reported the problem.
Status: UNCONFIRMED → NEW
Ever confirmed: true
Awesome for tracking this down and thanks! Now we need to figure out how that happened.
Could you check if either of them have a firefox.js in the installation directory's defaults\prefs directory? Thanks!
Nancy, could you check if there is a firefox.js file in your C:\Program Files\Mozilla Firefox\defaults\prefs\ directory?
(Reporter)

Comment 40

8 years ago
If you are referring to {JScript Script File(s)}, it appears that I have several...

This is in - C:\Program Files\Virtual Firefox\defaults\pref

What next?

And thanks to all who are taking their time to work on this...
and why is it named Virtual Firefox vs. just Mozilla Firefox?
I suspect the name is Virtual Firefox because this is an Firefox-HP Virtual Browser Edition installation. :(

Kev, I am fairly certain that the behavior of this virtualization software is what is breaking app update in this bug report.
This is an older install we did quite some time ago, and I'll ping my contacts at Symantec to see if we can get it updated.

Updated

8 years ago
Assignee: nobody → kev
(Reporter)

Comment 45

8 years ago
I am running Windows XP Professional on an HP computer.

If this Virtual Firefox is the problem, tell me how to get rid of it! I have had many problems with this computer and just recently got it back from repair (new HD) and that's when I noticed "Virtual" Firefox. Repair shop reinstalled my basic operating system, using the HP disks that came with the computer.

I don't recall at the moment how I updated to 4.0, but when I click on Help, About Firefox, it shows me the small Firefox page with logo and says Firefox is up to date. There are links in the dialogue section of the page to Mozilla, global community and Get Involved - as well as the other licensing  etc. links across the bottom.

Thanks so much, on behalf of my self and all the others who want to solve this problem!
Below are the steps:

1. Download Firefox 4.0 from
http://releases.mozilla.org/pub/mozilla.org/firefox/releases/4.0/win32/en-US/Firefox%20Setup%204.0.exe

2. exit Firefox

3. Open Control Panels -> Add / Remove Programs

4. Find Mozilla Firefox and uninstall it. Your settings will be retained with the default install so don't check any of the checkboxes.

5. Look for Virtual Firefox in Add / Remove Programs. If it exists uninstall it.

6. If the C:\Program Files\Virtual Firefox\ exists rename it to C:\Program Files\Virtual Firefox Bak\

7. Install Firefox using the download from step 1

8. Launch Firefox.

9. Open the About Window under the Help menu.

10. An update to Firefox 4.0.1 should download. If it does apply it.

11. Post back if this worked in this bug.
(Reporter)

Comment 47

8 years ago
I'm baaaack... OK,now only time will tell if this "cures" the pop-up notice, since I couldn't ever re-create it or link it to any particular "trigger" website.

In Add/Remove Programs, I had 2 versions of Mozilla Firefox, 4.0 and 2.0.0.15 and there was no Virtual Firefox listed. I deleted both.

Going through Start - Programs, Virtual Firefox, I clicked on Uninstall, and it appeared to do that, however, upon checking in My Computer, C - Programs... there it was. I used Malwarebytes FileASSASSIN and deleted every individual file, then deleted the whole folder.

I used the downloaded link to reinstall Firefox, updated it and here I am.

Robert, you will be my hero for life if this has gotten rid of that miserable pop-up! I hope this solves the problem for all those others folks, too... Wonder if they all have HP computers...

I'll continue to follow this thread.

Thanks so much for all your time and effort...
Nancy
Hi Nancy,

The fact that you were able to update along with the files you found lead me very strongly to believe that the problem will be solved for you. There are a couple of different virtualization applications available and from what I can tell they are likely all affected so I doubt they will all have HP computers.

Cheers,
Robert

btw: I am leaving this bug open and let Kev resolve it when he has worked things out with the vendors of the virtualization software. Also, bug 658066 wil hopefully workaround the problem so people will no longer get the error and will be offered updates.

Comment 49

8 years ago
I have this same problem and I am NOT using any "virtual firefox". I'm using the standard distribution from the getfirefox.com website. I also want to mention that I am not using any third-party updater software. This problem, at least for me, seems to be coming just from Mozilla's built-in updater.

Based on one of the comments above, I went to about:config, to check the value of the app.update.url. It is set to:

https://aus2.mozilla.org/update/1/%PRODUCT%/%VERSION%/%BUILD_ID%/%BUILD_TARGET%/%LOCALE%/%CHANNEL%/update.xml

I did not set this value. Mozilla set that value itself, as far as I can tell. This value *may* have been inherited from upgrading an older version of Firefox.

The computer I'm currently on was a computer I built circa 2000, and used till 2005. I put it in the basement at that time when I got a shiney new Dell laptop. A couple months ago, the Dell laptop had the video card inside go bad, so I brought this comp up from the storage closet, and plugged it in again. After that, I upgraded Firefox from whatever version was on it from 2005, to FF4. I might have had FF3 for a week or two before upgrading to FF4.

So, could this error be caused by upgrading very old versions of FF?
(In reply to comment #49)
Please file a new bug... thanks!
(Reporter)

Comment 51

8 years ago
A very old version! This rings a bell! While I was running "Virtual" Firefox 4.0 and having the pop-ups, I too, had installed 4.0 over an old version, 2.0.0.15. When I suffered a computer crash and the repair guy reinstalled my OS, I believe the "Virtual Firefox" was part of my original HP disk set. The old version may have been the 2.0.0.15. When I got my computer back, the first thing I did was update Firefox.

I don't KNOW that is the reason for the pop-ups, but it sure is a strange coincidence. And I didn't even know I had the old version until I looked in the Add/Remove Programs in the control panel.

Knock on wood... I have NOT had another pop-up since I followed your instructions, Robert. And I thank you - again.
(In reply to comment #48)

> 
> btw: I am leaving this bug open and let Kev resolve it when he has worked
> things out with the vendors of the virtualization software. Also, bug 658066
> wil hopefully workaround the problem so people will no longer get the error
> and will be offered updates.

I did today notice a single user on a sumo thread ( https://support.mozilla.com/en-US/questions/816780?page=2#answer-188792 )Today reporting this bug, including on manual update attempts. It was suggested the user adjust the prefs to solve the problem.  Presumably the bug658066 is not fully effective yet.
bug 658066 hasn't been fixed yet so it isn't implemented yet.

Instead of adjusting the prefs it would be better and simpler to delete the files except for the channel-prefs.js file in defaults\prefs. It is VERY important not to delete the channel-prefs.js file.

Also, bug 658066 is just a workaround until the vendors providing this software fix their end. What is happening is during an application update we delete those files and the 3rd party software puts the files back. Then Firefox uses those files for the preferences. So, unless I can find a way to circumvent what this software does (extremely unlikely since Firefox is running inside of it) the complete solution will require this software being patched or Firefox being changed to no longer read those files for preferences.

Updated

8 years ago
Duplicate of this bug: 670464
Regretfully there has been not response from several request for additional information about the virtualization products that at one time were approved for use with Firefox and the best app update can do without this information is to redirect aus2 to aus3 as was done in bug 658066. If at some point the additional info that was requested several months ago is provided with actionable items for app update please file a new bug with this additional information. If you feel like it, mark this resolved bug as dependent on that bug though that really isn;'t necessary. Resolving -> incomplete since besides the redirection that has been done in bug 658066 there isn't a damn thing app update can do to fix this except if these virtualization products have some way that we can workaround their bug.
Assignee: kev → nobody
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → INCOMPLETE

Comment 56

7 years ago
I also get the "Update Failed" "Something is trying to trick Firefox into accepting an insecure update" pop-up.  I did what Robert suggested a while back:
Open the error console.
Clear it
Select Help->About Firefox
Attach a screen shot of the error console.

When I selected Help->About Firefox, an error appeared in the error console.
I attached the image, but to save you the trouble of opening it it reads:
this.aus is undefined
chrome://browser/content/aboutDialog.js     Line: 468

If I click on the chrome link, a window opens with Source of:
..../omni.jar!/chrome/browser/content/browser/aboutDialog.js
and it highlights a line in the removeDownloadListener function.
The highlighted line is
this.aus.removeDownloadListener(this);

I hope this helps.

P.S.  I'm running Firefox 6.0.2.

Comment 57

6 years ago
[Possible cause] I currently get this error message with both Firefox (20.0) and Thunderbird (17.0.5), on OS/X 10.6.8

I 'suspect' it is a result of installing Avast! Anti-virus on the Mac a few weeks ago. But it is unclear then how to resolve the problem.

As evidence of this diagnosis, when I clear the error console and then select Firefox->About I get the following error log:

OpenGL LayerManager Initialized Succesfully.
Version: 2.1 ATI-1.6.42
Vendor: ATI Technologies Inc.
Renderer: ATI Radeon HD 6770M OpenGL Engine
FBO Texture Target: TEXTURE_2D
-----------------------
Timestamp: 13-06-01 3:41:36 PM
Error: Expected certificate attribute 'issuerName' value incorrect, expected: 'OU=Equifax Secure Certificate Authority,O=Equifax,C=US', got: 'CN=avast! trusted CA,OU=Software Development,O=avast!,ST=Prague,C=CZ'.
Source File: resource://gre/modules/CertUtils.jsm
Line: 106
------------------------
Timestamp: 13-06-01 3:41:36 PM
Error: Expected certificate attribute 'issuerName' value incorrect, expected: 'CN=Thawte SSL CA,O="Thawte, Inc.",C=US', got: 'CN=avast! trusted CA,OU=Software Development,O=avast!,ST=Prague,C=CZ'.
Source File: resource://gre/modules/CertUtils.jsm
Line: 106
-------------------------
Timestamp: 13-06-01 3:41:36 PM
Error: Certificate checks failed. See previous errors for details.
Source File: resource://gre/modules/CertUtils.jsm
Line: 109

Comment 58

4 years ago
I've been getting this error when Firefox attempts to update automatically. I don't get the popup when checking manually but I do get the following errors in the Browser Console:

Expected certificate attribute 'issuerName' value incorrect, expected: 'CN=DigiCert Secure Server CA,O=DigiCert Inc,C=US', got: 'CN=Avast trusted CA,OU=Software Development,O=AVAST,ST=Prague,C=CZ'. self-hosted:173:0
----------------------------------------
Expected certificate attribute 'issuerName' value incorrect, expected: 'CN=Thawte SSL CA,O="Thawte, Inc.",C=US', got: 'CN=Avast trusted CA,OU=Software Development,O=AVAST,ST=Prague,C=CZ'. self-hosted:173:0
----------------------------------------
Certificate checks failed. See previous errors for details. CertUtils.jsm:109:0

I disabled the Avast Web Shield and ran a manual update and did not get any of the certificate errors. I whitelisted aus4.mozilla.org and ran a manual update with Avast enabled and did not get any errors.

I manually downloaded a recent update and I'm still up to date now (v37.0) so I don't know yet what effect the change will have when an update becomes available.

I have a Mac Mini running OS X Yosemite (10.10.1).

Comment 59

4 years ago
(In reply to William from comment #58)
> I've been getting this error when Firefox attempts to update automatically.
> I don't get the popup when checking manually but I do get the following
> errors in the Browser Console:
> 
> Expected certificate attribute 'issuerName' value incorrect, expected:
> 'CN=DigiCert Secure Server CA,O=DigiCert Inc,C=US', got: 'CN=Avast trusted
> CA,OU=Software Development,O=AVAST,ST=Prague,C=CZ'. self-hosted:173:0
> ----------------------------------------
> Expected certificate attribute 'issuerName' value incorrect, expected:
> 'CN=Thawte SSL CA,O="Thawte, Inc.",C=US', got: 'CN=Avast trusted
> CA,OU=Software Development,O=AVAST,ST=Prague,C=CZ'. self-hosted:173:0
> ----------------------------------------
> Certificate checks failed. See previous errors for details.
> CertUtils.jsm:109:0
> 
> I disabled the Avast Web Shield and ran a manual update and did not get any
> of the certificate errors. I whitelisted aus4.mozilla.org and ran a manual
> update with Avast enabled and did not get any errors.
> 
> I manually downloaded a recent update and I'm still up to date now (v37.0)
> so I don't know yet what effect the change will have when an update becomes
> available.
> 
> I have a Mac Mini running OS X Yosemite (10.10.1).

Firefox just had an automatic update (to v37.0.1) and there were no errors. Whitelisting the app.update.url in Avast resolved the issue for me.

Updated

4 years ago
Duplicate of this bug: 728835
You need to log in before you can comment on or make changes to this bug.